#!/bin/bash
export ENV_FILE='/etc/service_env'
PROJECT_ROOT='/root/monitoring_alert_checkers'
. $PROJECT_ROOT/utils.sh

[ ! -e "$ENV_FILE" ] &&  { write_log "Env file $ENV_FILE is missing" ; exit 1 ; }
. "$ENV_FILE"

server_management_type_check

write_log "> Starting monitoring checks processing"

. "$ENV_PATH"/bin/activate
"$ENV_PATH"/bin/python "${PROJECT_ROOT}/main.py" "$@"

write_log "+ Done"